MAN(1)

NOMBRE
man - un interfaz para las referencias de manuales por conexión

SINOPSIS
man [-C fichero] [-d] [-D] [--warnings[=advertencia]] [-R codificación] [-L localización] [-m sistema[,...]] [-M ruta] [-S listado] [-e extensión] [-i|-I] [--regex|--wildcard] [--names-only] [-a] [-u] [--no-subpages] [-P paginador] [-r réplica] [-7] [-E codificación] [--no-hyphenation] [--no-justification] [-p cadena textual] [-t] [-T[dispositivo]] [-H[explorador]] [-X[ppp]] [-Z] [[sección] página[.sección] ...] ...
man -k [propósito opciones] expreg ...
man -K [-w|-W] [-S listado] [-i|-I] [--regex] [sección] término ...
man -f [qué es opciones] página ...
man -l [-C fichero] [-d] [-D] [--warnings[=aviso]] [-R codificación] [-L localización] [-P paginador] [-r prompt] [-7] [-E codificando] [-p cadena textual] [-t] [-T[dispositivo]] [-H[explorar]] [-X[ppp]] [-Z] fichero ...
man -w|-W [-C fichero] [-d] [-D] página ...
man -c [-C fichero] [-d] [-D] página ...
man [-?V]

DESCRIPCIÓN
man es la página manual del sistema. Cada argumento de página argumento dado a man normalmente es el nombre de un programa, utilidad o función. La página del manual asociada con cada de estos argumentos está encontrado y enseñado. Una section, si proporcionó, man dirigido para mirar solo en esa sección del manual. La operación predeterminada es buscar en todoas las secciones disponibles seguidas de un orden predefinido ("1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x" por defecto, a no ser que sobrescriba por la SECCIÓN directiva en /etc/man_db.conf), y para mostrar solo la primera página encontrada, incluso si la página existe dentro de varias secciones. La distribución inferior muestra los números de sección del manual seguidos por el tipo de página que contiene.
1 | Programa ejecutable o mandatos del shell
2 | Llamadas del sistema (funciones proporcionados por el núcleo)
3 | Llamadas a biblioteca (funciones dentro de bibliotecas de programa)
4 | Ficheros especiales (usualmente encontrado en /dev)
5 | Formatos de fichero y convenciones p. e. /etc/passwd
6 | Juegos
7 | Diversas (incluyendo paquetes macro y conveciones), p. e. man(7), groff(7)
8 | Mandatos administrativos del sistema (normalmente solo para administrador)
9 | Rutinas del núcleo [No comunes]
Una página page contiene varias secciones. Nombres seccionales convencionales incluye NOMBRE, SINOPSIS, CONFIGURACIÓN, DESCRIPCIÓN, OPCIONES, ESTADO SALIENTES, VALOR DEVUELTO, ERRORES, ENTORNO, FICHERO, VERSIONES, CONFORME PARA, ANOTACIONES, DEFECTOS, EJEMPLO, AUTORES, y VEA ADEMÁS. La siguiente convención aplica a la sección SINOPSIS y puede ser utilizada como una guía en otras secciones.
escritura resaltada | teclea exactamente como se muestra.
escritura itálica | sustituye con argumentación apropiada.
[-abc] | cualquiera de todos los argumentos dentro de [] son opcionales.
-a|-b | opciones delimitadas por | no pueden ser empleadas juntas.
argumento ... | argumento es repetible.
[expression] ... | entera expresión entre [] es repetible.
Análisis exacto quizá varíe dependiendo del dispositivo de salida. Por instancia, man usualmente no será capaz de interpretar itálicas cuando ejecuta en una terminal, y típicamente utilizará subrayado o texto coloreado en su lugar. El mandato o función ilustrada es un patrón que deberían coincidir con todas posibles invocaciones. En algunos casos es posible ilustrar varias invocaciones exclusivas como se muestran en la sección SINOPSIS en esta página de manual.

EJEMPLOS

man ls
    Enseña la página del manual para el ítem (programa) ls.

man man.7
    Enseña la página del manual para empaquetado de macro man desde sección 7.

man -a introducir
    Enseña, en sucesivos, toda introducción disponible de páginas del manual contenidas dentro del manual. Es posible quitar entre varias pantallas u omitir cualquiera de ellas.

man -t alias | lpr -Pps
    Formatear la página referenciada del manual por `alias', usualmente una página de manual shell, dentro del troff o groff predeterminado y entubarlo al nombre de la impresora ps. La salida predeterminada para groff es normalmente PostScript. man --help debería avisar como cual procesador está enlazada a la opción -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Esta función descomprimirá y formateará la página ./foo.1x.gz del manual origen nroff dentro de un fichero de dispositivo independiente (dvi). La redirección es necesaria como la marca -T causa ser dirigido a la salida común sin ningún paginador. La salida pudo ser vista con un programa tal como xdvi o procesador posterior en PostScript utilizando un programa como un dvips.

man -k printf
    Busca la descripción corta y nombres de página manual para las teclas printf como expresión regular. Escriba fuera cualquier coincidencia. Equivalente a apropos printf.

man -f pequeño
    Mire las páginas del manual referecniadas por smail y escriba fuera de las descripciones cortas de cualquier encontrada. Equivalente a whatis smail.

VISTAZO
Multitud de opciones están disponibles para man con el fin de dar tanta flexibilidad como sea posible al usuario. Modificaciones pueden ser hechas a la ruta de búsqueda, ordenación de sección, procesado de salida, y otros comportamientos y operaciones detalladas debajo. Si establece, varias variables de entorno son interrogadas para determinar la operación de man. Si es posible establecer la variable `catch all' $MANOPT a cualquier cadena de texto en formato de función con la excepción que cualquier espacio utilizado como parte de un argumento opcional debe ser escapado (precedido por una barra torcida atrás). man interpretará $MANOPT antes que interpretar su propia línea de mandatos. Tales opciones requiriendo un argumento serán sobrescritos por las mismas opciones encontradas en la línea de mandatos. Para restablecer todas las opciones establezca en $MANOPT, -D pueden ser especificadas como la opción de línea de órdenes inicial. Las utilidades del paginador del manual como man-db hacen extensible uso de caché de BD indexado. Estas caché contiene información tal como donde cada página del manual puede encontrarse en el sistema de fichero y que sus whatis (corta ua línea de descripción de la página man) contiene, y permite al man ejecutar más rápido que si estuviera que buscar por todo el sistema de fichero cada vez para encontrar la página del manual apropiada. Si solicitó utilizando la opción -u, man asegurará que las cachés se conserven consistentes, lo cual puede obviamente requerir ejecutar manualmente software para actualizar bases de texto whatis tradicional. Si man no puede encontrar un mandb iniciado indexado de BD para una página particular jerárquica, aún buscará para las páginas del manual solicitada, aunque la globalización del fichero será necesaria a la búsqueda dentro de esa jerarquía. Si whatis o apropos falla al encontrar un índice intentará extraer información desde una base de datos whatis tradicional en su lugar. Estas utilidades apoyan tener ficheros fuente nroff comprimido, por defecto, las extensiones de .Z, .z y .gz. Es posible tratar con cualquier extensión compresora, pero esta información debe ser conocida en tiempo de compilación. Además, por defecto, cualquieras páginas encadenadas producidas están almacenadas debajo de la misma jerarquía como las páginas man, pero por razones como aquella especificada dentro de la Fichero Jerárquico Normalizado (FHS, inglés), quizá es mejor paara almacenarlo en cualquier lugar. Para detalles en como hacer esto, lea manpath(5). Para detalles en porqué hacer ésto, lea la normalización. Asistencia internacional está disponible con este paquete. Páginas del manual de idioma nativo es accesible (si esta disponible en su sistema) vía del uso de funciones de localizaciones. Para activar dicho apoyo, es necesario establecer o $LC_MESSAGES, $LANG u otra dependencia variable del entorno del sistema para su idioma local, usualmente especificado dentro del formato POSIX 1003.1 basado: <idioma>[_<territorio>[.<conjunto de caracter>[,<version>]]] Si la página deseada está disponible en su localización, será mostado en la forma de paginación estandarizada (normalmenete inglés americano). Mantenimiento para catalogación de mensajes internacional es tanbien cuna característica en este pquete y puede ser activada de la misma forma, otra vez si está disponible. Si encuentra que las págunas del manual y los mensajes catalogados proporcionados con este paquete no están disponibles en su idioma nativo y quisiera suministrarlo, contacte con el mantenedor quien será coordinado en tal actividad. Para información restante otras características y extensiones disponible con este paginador del manual, lea el documento suministrado con el paquete.

PREDETERMINACIONES
man buscará las páginas del manual dentro de las index cachés de bases de datos. Si la -u opción es dada, una caché consistente comprueba su eficiencia para asegurar que la base de datos devuelve datos precisos al sistema de ficheros. Si esta opción siempre está dada, no es generalmente necesario ejecutar mandb tras están las cache hayan sido iniciados, a o ser que una cache se corrompa. Sin embargo, la consistencia de la comprobación de la cache pueda ser lenta en sistemas con con muchas páginas del manual instaladas, por lo que no es realizada por defecto, y los administradores del sistema quizá desean ejecutar mandb cada semana o así, para mantener la caché actual de la base de datos. Para evitar problemas causados por caches caducadas, man volverá al fichero global si una búsqueda por caché falla, tan solo por si ningún cache fue presentado. Una vez que una página ha sido localizada, se efectúa una comprobación para encontrar si los ficheros concatenados reformateados ya existen y es más nuevo que el fichero nroff. Si esto ocurre y está, este preformato del fichero es (normalmente) descomprimido y después mostrado, por medio del uso de una página. El paginador puede ser especificado dentro de un número de formas, o además fallará a lo predeterminado se utilizará (vea opción -P para detalles). Si no se encontr´o la concatenación o es más antigua que el fichero nroff, el nroff se filtra a través de varios programas y es mostrado inmediatamente. Si un fichero concatenado puede ser producido (una concatenación relativa del directoro existe y tiene permisos apropiados), man comprimirá y almacenará el fichero concatenado en el plano del fondo. Los filtros están descifrados por un números de significados. Primeramente, la opción de línea mandatoria -p o la variable de entorno $MANROOFFSEQ es interrogada. Si -p no fue empleado y la variable de entorno no fue establecida, se interpreta la línea inicial del fichero nroff para una cadena de preprocesador. Para contener una cadena preprocesadora pálida, la primera línea debe reordenar '\" <cadena> donde la cadena puede ser cualquier combinación de letras descritas por opción -p debajo. Si ninguna de los métodos de arriba proporiciona cualquier filtro de información, se emplea un conjunto predeterminado. Un formato de tubería está formado desde los filtros y el formateado primario (nroof o [tg]roff con -t) y ejecutando. Alternativamente, si un programa ejecutable mandb_nfmt (o mandb_tfmt con -t) existe dentro de la raíz del árbol man, está ejecutado en su lugar. Obtiene posterior al fichero origen del manual, la cadena preprocesada, y opcionalmente especificadas por -T or -E como argumentos.

OPCIONES
Ninguna de las opciones argumentales que sean duplicadas o en la línea mandatoria, en $MANOPT, o ambas, no esan completamente perjudicial. Para opciones que requieran un argumento, cada duplicación sobrescribirá el valor del argumento anterior.

  Opciones comunes

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario mejor que el predeterminado de ~/.manpath.

-d, --debug
    Muestra información depurativa.

-D, --default
    Esta opción es comunmente efectuada como la primera opción y reinicia comportamiento de man a éste predeterminado. Se utiliza para restablecer aquellas opciones que quizá han sido establecidas en $MANOPT. Cualquier opción que siga -D tendrá su efecto común.

--warnings[=aviso]
    Activa advertencias desde groff. Esta forma será empleada para realizar comprobaciones de corrección en el texto origen de páginas del manual. advertencia es una lista separadas por comas de nombres de advertencias; si no es compatible, lo predeterminado es «mac». Vea el nodo “Advertencia” en info groff para una lista de nombres de advertencias disponibles.

  Modos principales de operación

-f, --whatis
    Equivalente a whatis. Enseña una descripción breve desde la página del manual, si está disponible. Vea whatis(1) para más detalles.

-k, --apropos
    Equivalente a apropos. Busca las descripciones cortas de la página del manual para palabras clave y enseña cualquier coincidencia. Vea apropos(1) para detalles.

-K, --global-apropos
    Buscar texto dentro de todas las páginas del manual. Esto es una búsqueda de fuerza bruta, y es similar a tomar algo de tiempo; si puede, debería especificar una sección para reducir el número de páginas buscadas. La búsqueda terminológica quizá sea cadenas simples (lo predeterminado), o expresiones regulares si la opción --regex es utilizada.

    Note que esta búsqueda de origen de las páginas del manual, no el texto renderizado, y por lo tanto se incluyen falsos positivos debido a cosas como comentarios en ficheros del origen. Buscando el texto renderizado podría ser más lento.

-l, --local-file
    Activa modo `local'. Formatea y enseña ficheros de manual local en vez de buscando a través de la colección de manuales del sistema. Cada argumento de página del manaul será interpretado como un fichero fuente nroff en el formato correcto. Ningún fichero car está producido. Si '-' está listado como uno de los argumentos, entrada será tomada desde stdin. Cuando esta opción no está empleada, y falla man al encontrar la página requerida, tras enselar el mensaje de error, intentará actualiza como si esta opción fuera suministrada, utilizando el nombre como un nombre de fichero y buscando una coincidencia exacta.

-w, --where, --path, --location
    No enseña actualmente las páginas del manual, pero no escribir la(s) localización/es de los ficheros origen nroff que podrían ser formateadas.

-W, --where-cat, --location-cat
    No enseña actualmente las páginas del manual, pero escribe la localización de los ficheros cat que podrían ser enseñados. Si ambos -w y -W son especificados, escribe ambos separados por un espacio.

-c, --catman
    Esta opción no es para utilización general y deberían solo ser empleadas por el programa catman.

-R codificación, --recode=codificación
    En vaz de formatear la página del manual dentro de la forma usual, saca su fuente convertida al la codificación especificada. Si ya sabe la codificación del fichero fuente, puede también utilizar manconv (1) directamente. Sin embargo, esta opción permite convertir varias páginas de manual a una codificación única sin tener que explicitar estado la codificación de cada una, proporcionando que ya fueron instalados dentro de una estructura similar a una página jerarquizada del manual.

  Encontrando páginas del manual

-L local, --locale=local
    El %programa% normalmente no determinará su actual localización para una llamada a la función C setlocale(3) la cual pregunta varias variables de entorno, posiblemente incluyendo $LC_MESSAGES y $LANG. Para temporalmente sobrescribir el valor determinado, utilice esta opción para suministrar una cadena local directamente al man. Anote que no tomará efecto hasta que la búsqueda para páginas actualmente comiencen. Salidas como el mensaje de ayuda siempre será mostrado en la localización inicialmente determinada.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema tiene acceso a otras páginas del manual de otro sistema operativo, pueden ser accedidos utilizando esta opción. Para buscar una página del manual desde la colección de págnas del manual del SONuevo, utilice la opción -m SONuevo. El sistema especificado puede ser una combinación de comas delimitados de nombres del sistema operativo. Para incluir una búsqueda de las páginas del manual del sistema operativo nativo, incluya el nombre del sistema man en la cadena argumentarioa. Esta opción sobrescribirá la variable del entorno del $SISTEMA.

-M ruta, --manpath=ruta
    Especifica una ruta de man alternativa para utilizar. Por defecto, man utiliza código %manpath derivado para determinar la ruta a buscar. Esta opción sobrescribe la variable del entorno $MANPATH y causa que la opción -m sea ignorada. Una ruta especifica como un manpath debe ser la raíz de una jerarguía de página man estructurada en decciones como describía en el manual de man-db (debajo de «El sistema de páginas del manual»). Para ver páginas del manual como jerarquías, vea la opción -l.

-S list, -s list, --sections=list
    Listado es una lista de dos puntos o coma separada de «mandato especifico» de sección del manaula para buscar. Esta opción sobrescribe la variable de entorno $MANSECT. (La ortografía -s está para compatibilizar con System V.)

-e sub-extensión, --extension=sub-extensión
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific `extension' to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Ignora mayúsculas cuando busque páginas del manual. Esto es lo predeterminado.

-I, --match-case
    Busca páginas distinguiendo mayúsculas.

--regex
    Muestra todas las páginas con cualquier parte de cada uno de sus nombres de sus descripciones coincidentes por cada argumento paginado como una expresión regular. tal como apropos(1). Desde que hay usualmente ninguna forma razonable para tomar una «mejor» página cuando busque para una expresión regular, esta opción implica -a.

--wildcard
    Muestra todas las páginas con cualquier parte de cada uno de sus nombres o sus descripciones coincidentes de cada página de argumento utilizando comodines de estilo shell, como con apropos(1) --wildcard. El argumento página debe coincidir con el nombre completo o descricón, o coincide en finales de palabras dentro de la descripción. Desde que hay usualmente ninguna forma de escoger una página «mejor» cuando busque un comodín, esta opción implica -a.

--names-only
    Si la opción --regex o --wildcard está utilizada, coincide solo los nombres de página, no las descripciones de la página, tal con whatis(1). En otras formas, sin efecto.

-a, --all
    Predeterminado, man terminará tras enseñar la página del manual más capaz que pudo encontrar. Normalmente esta opción fuerza man para enseñar todas las páginas del manual con nombres que coincidan con este criterio buscado.

-u, --update
    Esta opción causa que man realice una comprobación de consistencia de nivel inodo' en su base de datos caché para asegurar que está representación adecuada en el sistema de fichero. Solo tiene un efecto útil si man está instalado con el conjunto de bit setid.

--no-subpages
    Por omisión, man intentará a interpretar pares de nombres de páginas del manualdadas en la línea de órdenes como equivalente a una página de manual simple conteniendo un guión o un subrayado. Esto soporta el patrón común de programas que implementan un número de subórdenes, permitiendo proporcionar páginas de manual por cada una que pueda ser accedida utilizando sintaxis similar como podrían ser utilizado para invocar al subórdenes ellas mismas. Por ejemplo:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Para desactivar este comportamiento, utilice la opción --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Controlando salida formateada

-P pager, --pager=pager
    Específicamente cual salida del paginador a emplear. Por defecto, man utiliza less, volviendo si less no se encuentra o no es ejecutable. Esta opción sobreescribe la variable de entorno $MANPAGER, la cual al devolver sobrescribe la variable de entorno $PAGER. Si no se emplea ésto en conjunción con -f o -k. The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

-r prompt, --prompt=prompt
    If a recent version of less is used as the pager, man will attempt to set its prompt and some sensible options. The default prompt looks like Página del manual nombre(sec) línea x donde nombre denota el nombre de la página del manual, sec denota la sección fue encontrada debajo y x el número de línea actual. Esto está conseguido utilizando la variable del entorno $LESS. Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by `(' and `)'. The string used to produce the default could be expressed as \ Página\ del\ Manual\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (FINAL):?pB\ %pB\\%..
    (pulse h para ayuda o q para salir) It is broken into three lines here for the sake of readability only. For its meaning see the less(1) manual page. The prompt string is first evaluated by the shell. All double quotes, back-quotes and backslashes in the prompt must be escaped by a preceding backslash. The prompt string may end in an escaped $ which may be followed by further options for less. By default man sets the -ix8 options. The $MANLESS environment variable described below may be used to set a default prompt string if none is supplied on the command line.

-7, --ascii
    When viewing a pure ascii(7) manual page on a 7 bit terminal or terminal emulator, some characters may not display correctly when using the latin1(7) device description with GNU nroff. This option allows pure ascii manual pages to be displayed in ascii with the latin1 device. It will not translate any latin1 text. The following table shows the translations performed: some parts of it may only be displayed properly when using GNU nroff's latin1(7) device.
    Descripción | Octal | latin1 | ascii
    continuación guión | 255 |  | -
    viñeta (punto medio) | 267 | • | o
    acento | 264 | ´ | '
    signo multiplicador | 327 | × | x
    Si la columna latin1 enseña correctamente, su terminal quizá está configurada para caracteres latin1 y esta opción no es necesaria. Si las columna de formato latin1 y ascii son idénticas, está leyendo esta página utilizando esta opción o man no formateó esta página utilizando la descripción latin1 del dispositivo. Si la columna latin1 falta o está corrupta, quizá necesita ver páginas del manual con esta opción. Esta opción es ignorada cuando utilice opciones -t, -H, -T, o -Z y quizá son poco útiles para nroff otras que GNU.

-E codificación, --encoding=codificación
    Genera salida para una codificación de caracteres distinta que la predeterminada. Para compatibilidad hacia atrás, la codificación quizá es un dispositivo nroff como un ascii, latin1, o utf8 tan buen codificación como un UTF-8.

--no-hyphenation, --nh
    Normalmente, nroff automáticamente separará texto con guiones cuando la línea se parta incluso en palabras que no contengan guiones, si esto es necesario para hacerlo de tal forma que ninguna palabra se quede en una línea sin espaciado excesivo. Esta opción desactiva guiones automáticos, por lo que las palabras solo serán separadas si ya tienen guiones. Si está escribiendo una página de manual y simplemente quiere prevenir nroff desde guion de una palabra que es un punto inapropiado, no utilice esta opción, pero consulte la documentación nroff en su lugar; para probar, puede poner "\%" dentro de una palabra para indicar que quizá puede entregionarse en ese punto, o ponga "\%" el principio de una palabra para prevenir desde donde sea entreguionado.

--no-justification, --nj
    Normalmente, nroff automáticamente justificará texto a ambos márgenes. Esta opción desactiva justificación completa, dejando justificados solo al margen izquierdo, algunas veces llamado texto «arrastrado a la derecha». If you are writing a manual page and simply want to prevent nroff from justifying certain paragraphs, do not use this option, but consult the nroff documentation instead; for instance, you can use the ".na", ".nf", ".fi", and ".ad" requests to temporarily disable adjusting and filling.

-p cadena, --preprocessor=cadena
    Especifica la secuencia de preprocesadores para ejecutar antes que nroff o troff/groff. No todas las instanlaciones tendrán un conjunto completo de proprocesadores. Algunos de los preprocesadores y las letras utilizadas para designarlos son: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Esta opción sobrescribe la variable de entorno $MANROFFSEQ. zsoelim siempre es ejecutado como el primer preprocesador.

-t, --troff
    Utilice %troll% para dar formato a la página del manual a salida común. Esta opción no está requerida en conjunción con -H, -T, o -Z.

-T[dispositivo], --troff-device[=dispositivo]
    Esta opción está empleada para modificar groff (o posiblemente troff) externo para ser capaz para un dispositivo distinto que lo predeterminado. Implica -t. Ejemplos (proporcionados con Groff-1.17) incluye dvi, latin1, ps, utf8, X75 y X100.

-H[explorador], --html[=explorador]
    This option will cause groff to produce HTML output, and will display that output in a web browser. The choice of browser is determined by the optional browser argument if one is provided, by the $BROWSER environment variable, or by a compile-time default if that is unset (usually lynx). This option implies -t, and will only work with GNU troff.

-X[dpi], --gxditview[=dpi]
    La opción enseña la salida de groff dentro de una ventana gráfica utilizando el programa gxditvew. El ppp (puntos por pulgada) puede ser 75, 75-12, 100, o 100-12, por defecto a 75; la variante -12 utiliza una tipografía base de 12 puntos. Esta opción implica -T con los respectivos dispositivos X75, X75-12, X100 o X11-12.

-Z, --ditroff
    groff ejecutará troff y después utilizará un apropiado post procesador para producir salida capaz para el dispositivo elegido. Si groff -mandoc es groff, esta opción es pasada a groff y suprimirá el uso de un post-procesamiento. Implica -t.

  Obtener ayuda

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Enseña la versión de información.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Utilización, sintaxis o error del fichero de configuración.

2   Error operacional.

3   Un subproceso devolvió un estado de salida distinta de cero.

16  Al menos una de las páginas/ficheros/palabras_clave no existió o fue coincidido.

ENTORNO

MANPATH
    Si se establece $MANPATH, su valor es empleado como la ruta para buscar páginas del manual.

MANROFFOPT
    Los contenidos de $MANROFFOPT son añadidos a la línea mandatoria cada vez que man invoca el formateador (nroff, groff).

MANROFFSEQ
    Si $MANROFFSEQ está establecido, su valor es empleado para determinar preprocesadores para pasar cada página del manual a traés. La lista de preprocesados predeterminados es dependiente del sistema.

MANSECT
    Si $MANSECT está establecido, su valor es para un listado de sectiones delimitada por dos puntos y se emplea para determinar cuales secciones del manual a buscar y en cuál orden. Lo predeterminado es "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", a no ser sobrescrito por la directiva SECCIÓN en /etc/man_db.conf.

MANPAGER, PAGER
    Si $MANPAGER o $PAGER está activo ($MANPAGER empleado en prederencia), su valor es empleado como el nombre del programa utilizado para mostrar la página del manual. Por defecto, less es empleado, volviendo al cat si less no se ha encontrado o no es ejecutable. The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

MANLESS
    Si está establecido $MANLESS, su valor será empleado como la cadena solicitada para el paginador less, tal como se ha pasado utilizando la opción -r (por lo que cualquier ocurrencia del texto $MAN_PN será expandido dentro de la misma manera). Por ejemplo, si quiere establecer la cadena solicitada incondicionalmente a “my prompt string”, estabece $MANLESS to ‘-Psmy cadena solicitada’. Utilizando la opción -r sobrepone esta variable de entorno.

BROWSER
    Si $BROWSER está establecido, su valor es un listado delimitado por los dos puntos, cada uno de los cuales en su turno se emplea para probar a iniciar un explorador web para man, --html. En cada mandato, %s se sustituye por un nombre de fichero conteniendo la salida HTML desde el groff, %% se sustituye por un único signo de porcentaje (%), y %c es sustituído por los dos puntos (:).

SYSTEM
    Si se establece $SYSTEM, tendrá el mismo efecto que si tuvo que ser especificado como el argumento a la opción -m.

MANOPT
    Si $MANOPT está establecido, será interpretado antes que las líneas de mandato man y está esperada para estar dentro de un formato similar. Tal como toda variable man de entorno específico puede ser expresado como opciones de línea de mandato, y por lo tanto son candidatos para ser incluídos en $MANOPT expresado que será convertido en obsoleto. N.B. Todos los espaciones que debería ser interpretado como parte de un argumento opcional debe ser con el escape.

MANWIDTH
    Si $MANWITH está establecido, su valor será empleado como la longitud de línea paa la cual las páginas del manual deberían ser formateadas. Si no está configurado, las páginas del manual serán formatedas con una longitud de línea aproximada para el terminal actual (utilizando el valor de $COLUMNS, y ioctl(2) si está disponible, volviando a los 80 caracteres si no hay nada disponible). Las páginas cat solo serán guardadas cuando el formato predeterminado puede utilizarse, que es cuando el ancho de la línea del terminal está entre 66 y 80 caracteres.

MAN_KEEP_FORMATTING
    Normalmente, cuando la salida no está siendo dirigida a un terminal (como un ficheor o una tubería), formateando caracteres son descartados para hacerlo más fácil de leer sin emplear herramientas especiales. Sin embargo, si $MAN_KEEP_FORMATTING está establecido a cualquier valor no vacío, estos caracteres de formato esan retenidos. Esto quizá sea útil para cubrir man que puedan interpretar caracteres formateados.

MAN_KEEP_STDERR
    Normalmente, cuanod la salida sea directa a un terminal (usualmente a un paginador), cualquier error de salida desde el mandato utilizado para producir versiones formateadas de páginas del manul está descartado para evitar interferir con la representación del paginador mostrado. Los programas como groff a menudo producen mensajes erróneos relativamente pequeños acerca de problemas de tipografías como alineamiento pobre, el cual se encuentra no cercano y generalmente confundiendo cuando representa a lo largo de la página del manual. Sin embargo, algunos usuarios quieren verlos de todas formas, por lo que, si se establece $MAN_KEEP_STDERR a cyakquer valor no vacío, la salida de error derá mostrada como usual.

LANG, LC_MESSAGES
    Dependiendo en sistema e implementación, o bien uno o ambos de $IDIOMA y $LC_MESSAGES será interrogado para la actual localización del mensaje. man enseñará sus mensajes en ese local (si es disponible). Vea setlocale(3) para detalles específicos.

FICHEROS

/etc/man_db.conf
    configuración de fichero man-db.

/usr/share/man
    Una jerarquía global de paginado manual.

/usr/share/man/index.(bt|db|dir|pag)
    Una caché de BD indexado global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD indexado compatible FHS.

VEA ADEMÁS
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), setlocale(3), manpath(5), ascii(7), latin1(7), man(7), catman(8), mandb(8), el manual del paquete man-db, FSSTND

HISTORIAL
1990 – 1991: Originalmente escrito por John W. Eaton (jwe@che.utexas.edu). 23 de diciembre de 1992: Rik Faith (faith@cs.unc.edu) aplicó un arreglo de defecto proporcionado por Willem Kasdorp (wkasdo@nikhefk.nikef.nl). El 30 de abril de 1994 – 23 de febrero del 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) ha sido desarrollado y mantenido con la ayuda de una gente dedicada. El 30 de octubre de 1996 – 30 de marzo de 2001: Fabrizio Polacco <fpolacco@debian.org> mantuvo y mejoró este paquete para el proyecto Debian, con la ayuda de toda la comunidad. El 31 de marzo de 2001 – día presente: Colin Watson <cjwatson@debian.org> ahora está desarrollando y manteniendo man-db.